Create a virtual accountAsk AIpost https://developersandbox-api.flutterwave.com/virtual-accountsCreate a virtual accountBody Paramsreferencestringrequiredlength between 6 and 42A custom identifier to track the transaction, This must be unique across all your transactions.customer_idstringrequiredThe customer idamountnumberrequiredThe amount to be collected. Specify 0 for static accounts.expiryinteger60 to 31536000The expiry time of the virtual account.currencyenumrequiredISO 4217 currency code.NGNGHSEGPKESMADZARAllowed:NGNGHSEGPKESMADZARaccount_typestringenumrequiredThe type of virtual account.staticdynamicAllowed:staticdynamicmetaobjectmeta objectnarrationstringThis allows you specify the name shown when the account is resolved.bvnstringThis is the customer's Bank Verification Number.ninstringThis is the customer's National Identity Number.customer_account_numberstringThis is the bank account the transfer will originate from. required for EGP and KESmerchant_vat_amountnumberbank_codestringThe bank code.HeadersX-Trace-Idstringlength between 12 and 255A unique identifier to track this operation. It must be between 12 and 255 characters in length.X-Idempotency-Keystringlength between 12 and 255A unique identifier to prevent duplicate requests. It must be between 12 and 255 characters in length.X-Scenario-Keystring1 to 1000An optional scenario key that can be used to simulate specific behaviors or test different scenarios within the API. Providing this header allows you to trigger predefined responses or alter data based on the key's value, which can be useful for testing, development, or demonstrating specific functionalities. The key should be a string of 1 to 1000 characters.Responses 201OK 400Bad request 401Unauthorised request 403Forbidden 409ConflictUpdated 9 months ago